Subject: Re: [PATCH] git-daemon: --inetd implies --syslog

From: Andreas Ericsson <[email-masked]>
Date: Mon, 14 Nov 2005 22:23:58 +0100

Junio C Hamano wrote:
> [email-masked] (Andreas Ericsson) writes:
> 
> 
>>Otherwise nothing is logged anywhere, which is a Bad Thing.
>>
>>Signed-off-by: Andreas Ericsson <[email-masked]>
> 
> 
> Thanks; I am OK with what you are trying to do with this change,
> except that:
> 
>  - I suspect closing stderr is still needed (the "workaround"
>    was about inetd connection sending output to both fd 1 and 2
>    to the client, which would corrupt the protocol conversation
>    when exec'ed program writes anything to its standard error
>    stream).
> 

That shouldn't be a problem because;
1) handle() dupes the connected socket to stdin and stdout, but not stderr.

2) A program sending output to stderr() fails (well, *should* be either 
failing or silent), so it's most likely not sane to continue doing 
things anyway. This assumes that no client prints anything to stderr 
that can be interpreted as "real" protocol data, ofcourse.

>  - I would have preferred the removal of needless else as a
>    separate cleanup patch (this is minor).
> 

Sorry. I think I missed that part when I glanced at the diff output.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231